Skip to content

Request payment

POST
/payments/request
curl --request POST \
--url https://api.ltesocks.io/v2/payments/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "amount": 10000, "gateway_id": "000000000000", "currency": "btc" }'

Payment request parameters

Media typeapplication/json
object
amount
required

Payment amount in cent

integer
Example
10000
gateway_id
required

Gateway ID

string
Example
000000000000
currency

Only for crypto gateways (if available)

string
Example
btc

Successful operation

Media typeapplication/json
object
data
object
checkout_url
string
Example
{
"data": {
"checkout_url": "http://payer.stage/v1/checkout/693153d5ed55d27adf63714"
}
}

Error

Media typeapplication/json
object
error
required

Error text representation

string
code
required

Error code representation

integer
Example
{
"error": "example error",
"code": 400
}